Shapefile: The length of real type field is reduced by 1 every save
Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21063

Description

I just ran my QGIS tester plugin, and saw two test failed. Both tests are about input/output of shapefile and they are almost same. They

load a set of shapefile and save it to another file set and examine whether the both file sets are identical. The result says that output dbf is

not same as input dbf.

I looked at the shapefiles in QGIS, and saw that the length of real type field of output shapefile is less than that of the input by 1.

       length, precision

Input : 7, 2

Output: 6, 2

In addition, I saved the output shapefile to another shapefile and then the length of the real type field decreased to 5. This is real problem!

Test data (shapefile): https://github.com/minorua/QGISTesterA/tree/master/tests/data

QGIS master 2798ab0. With QGIS 2.8.2, no tests fail.

Related issues:

Related to QGIS Application - Bug report # 11755: Real precision (Shapefile) Closed 2014-11-28

Associated revisions

Revision 513cfad2 - 2015-06-19 10:23 PM - Jürgen Fischer

vector file writer: adapt to 2fcbc8b (fixes #12985)

Revision c9803324 - 2015-06-29 10:33 PM - Jürgen Fischer

ogr provider: increase width by one for decimal point if precision is given

(fixes #11755, fixes #12985)

(cherry picked from commit 2fcbc8b and 513cfad)

History

#1 - 2015-06-17 11:50 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#2 - 2015-06-17 11:51 PM - Jürgen Fischer
https://github.com/minorua/QGISTesterA
https://github.com/minorua/QGISTesterA/tree/master/tests/data


sounds related to commit:2fcbc8b

#3 - 2015-06-19 01:23 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"513cfad235cf587c48475d3d70b9fdd10a68dd06".
